Name:          reiser4progs
Version:       1.2.2
Release:       1mamba
Summary:       Utilities for the Reiser4 filesystem
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sourceforge.net/projects/reiser4
Source:        http://sourceforge.net/projects/reiser4/files/reiser4-utils/reiser4progs/reiser4progs-%{version}.tar.gz
#Source:        http://www.kernel.org/pub/linux/utils/fs/reiser4/reiser4progs/reiser4progs-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libaal-devel
BuildRequires: libncurses-devel
BuildRequires: libreadline-devel
BuildRequires: libuuid-devel
## AUTOBUILDREQ-END
Requires:      libreiser4 = %{?epoch:%epoch:}%{version}-%{release}

%description
The reiser4progs package contains programs for creating (mkreiser4), checking and  correcting any inconsistencies (reiser4ck) and resizing (resize_reiser4) of a  reiser4 filesystem.

%package -n libreiser4
Summary:       Shared libraries provided with %{name}
Group:         System/Libraries

%description -n libreiser4
The reiser4progs package contains programs for creating (mkreiser4), checking and  correcting any inconsistencies (reiser4ck) and resizing (resize_reiser4) of a  reiser4 filesystem.
This package contains the shared libraries provided with %{name}.

%package -n libreiser4-devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      libreiser4 = %{?epoch:%epoch:}%{version}-%{release}
Provides:      reiser4progs-devel
Obsoletes:     reiser4progs-devel < 1.2.1

%description -n libreiser4-devel
The reiser4progs package contains programs for creating (mkreiser4), checking and  correcting any inconsistencies (reiser4ck) and resizing (resize_reiser4) of a  reiser4 filesystem.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sbindir}/debugfs.reiser4
%{_sbindir}/fsck.reiser4
%{_sbindir}/make_reiser4
%{_sbindir}/measurefs.reiser4
%{_sbindir}/mkfs.reiser4
%{_mandir}/man8/debugfs.reiser4.8*
%{_mandir}/man8/fsck.reiser4.8*
%{_mandir}/man8/measurefs.reiser4.8*
%{_mandir}/man8/mkfs.reiser4.8*

%files -n libreiser4
%defattr(-,root,root)
%{_libdir}/libreiser4-1.2.so.*
%{_libdir}/libreiser4-minimal-1.2.so.*
%{_libdir}/librepair-1.2.so.*
%doc AUTHORS COPYING CREDITS

%files -n libreiser4-devel
%defattr(-,root,root)
%dir %{_includedir}/reiser4
%{_includedir}/reiser4/*.h
%{_includedir}/repair/*.h
%{_libdir}/libreiser4-minimal.a
%{_libdir}/libreiser4-minimal.la
%{_libdir}/libreiser4-minimal.so
%{_libdir}/libreiser4.a
%{_libdir}/libreiser4.la
%{_libdir}/libreiser4.so
%{_libdir}/librepair.a
%{_libdir}/librepair.la
%{_libdir}/librepair.so
%{_datadir}/aclocal/libreiser4.m4
%doc BUGS ChangeLog README THANKS TODO

%changelog
* Fri May 21 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.2-1mamba
- update to 1.2.2

* Sun Jan 17 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-1mamba
- update to 1.2.1

* Sat Jul 13 2013 Automatic Build System <autodist@mambasoft.it> 1.0.7-2mamba
- automatic rebuild by autodist

* Wed May 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.7-1mamba
- package created by autospec
